Bug 1475016 - RFE: S3 object expiration support
Summary: RFE: S3 object expiration support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 3.0
Assignee: Matt Benjamin (redhat)
QA Contact: Shreekar
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-07-25 20:49 UTC by Uday Boppana
Modified: 2017-12-05 23:38 UTC (History)
6 users (show)

Fixed In Version: RHEL: ceph-12.1.4-1.el7cp Ubuntu: ceph_12.1.4-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.S3 object expiration is now supported The Ceph Object Gateway now supports the Amazon Simple Storage Service (S3) object expiration. For details see the link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/developer_guide/#features-support[Object Gateway S3 Application Programming Interface (API)] chapter and the link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/developer_guide/#s3-api-bucket-lifecycle[Bucket Lifecycle] section in the Developer Guide for Red{nbsp}Hat Ceph Storage 3.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:38:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Uday Boppana 2017-07-25 20:49:03 UTC
Support for S3 object expiration. 

Should be compatible with AWS S3: https://aws.amazon.com/blogs/aws/amazon-s3-object-expiration/

Comment 8 errata-xmlrpc 2017-12-05 23:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.